%define tarball xf86-video-nv
%define moduledir %(pkg-config xorg-server --variable=moduledir )
%define driverdir	%{moduledir}/drivers

%define cvsdate xxxxxxx

Summary:   Xorg X11 nv video driver
Name:      xorg-x11-drv-nv
Version:   2.1.15
Release:   4%{?dist}
URL:       http://www.x.org
License:   MIT/X11
Group:     User Interface/X Hardware Support
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Source0:   ftp://ftp.x.org/pub/individual/driver/%{tarball}-%{version}.tar.bz2
Source1:   nv.xinf

ExclusiveArch: %{ix86} x86_64 ia64 ppc alpha sparc sparc64

BuildRequires: pkgconfig autoconf automake libtool
BuildRequires: xorg-x11-server-sdk >= 1.1.1-48.58.el5

Requires:  xorg-x11-server-Xorg >= 1.1.1-48.58.el5

Patch2:	   nv-1.2.0-panel-range-hack.patch
Patch20:   nv-2.1.2-awful-compat-hack.patch
Patch21:   nv-2.1.2-xaa-limits.patch
Patch22:   nv-2.1.2-xaa-limits-g80.patch
Patch23:   nv-2.1.6-misc.patch
Patch24:   nv-save-rom.patch
Patch25:   nv-2.1.6-load-palette-harder.patch
Patch26:   nv-2.1.8-g80-no-doublescan.patch 
Patch27:   nv-2.1.12-acpi-rescan.patch
Patch28:   nv-2.1.12-hotkey-option.patch
Patch29:   nv-2.1.15-chipset-update.patch

%description 
X.Org X11 nv video driver.

%prep
%setup -q -n %{tarball}-%{version}

%patch2 -p1 -b .range-hack
%patch20 -p1 -b .compat
%patch21 -p1 -b .xaa-limits
%patch22 -p1 -b .xaa-limits2
%patch23 -p1 -b .misc
%patch24 -p1 -b .nv-save
%patch25 -p1 -b .palette
%patch26 -p1 -b .doublescan
%patch27 -p1 -b .rescan
%patch28 -p1 -b .hotkeyopt
%patch29 -p1 -b .chipset-update

%build
autoreconf -v --install -f || exit 1
%configure --disable-static
make

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_datadir}/hwdata/videoaliases
install -m 0644 %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/hwdata/videoaliases/

# FIXME: Remove all libtool archives (*.la) from modules directory.  This
# should be fixed in upstream Makefile.am or whatever.
find $RPM_BUILD_ROOT -regex ".*\.la$" | xargs rm -f --

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%dir %{moduledir}
%dir %{driverdir}
%{driverdir}/nv_drv.so
%{_datadir}/hwdata/videoaliases/nv.xinf
%{_mandir}/man4/nv.4*

%changelog
* Thu Oct 28 2010 Adam Jackson <ajax@redhat.com> 2.1.15-4
- nv.xinf: Disable more DisplayPort parts. (#566228)

* Wed Mar 3 2010 Ben Skeggs <bskeggs@redhat.com> 2.1.15-3
- nv.xinf: partially revert previous new chipset support, default to vesa
  on certain configurations that may be problematic due to lack of DP
  support (#514999).

* Mon Nov 23 2009 Ben Skeggs <bskeggs@redhat.com> 2.1.15-2
- nv-2.1.15-chipset-update.patch: add support for a few more chipsets

* Wed Nov 11 2009 Ben Skeggs <bskeggs@redhat.com> 2.1.15-1
- Update to nv 2.1.15 for new chipset support
- nv.xinf: New PCI IDs for additional chipsets now supported
- nv-1.1.1-nv34-tweaks.patch: drop, already in upstream release
- nv-2.1.2-aweful-compat-hack.patch: add more compat fixes

* Tue May 12 2009 Adam Jackson <ajax@redhat.com> 2.1.12-6
- Rebuild for new server source

* Tue May 12 2009 Ben Skeggs <bskeggs@redhat.com> 2.1.12-5
- nv-2.1.12-hotkey-option.patch: add xorg.conf option to respond to hotkey
  events for GPUs not on the whitelist.

* Tue Apr 28 2009 Ben Skeggs <bskeggs@redhat.com> 2.1.12-4
- nv-2.1.12-acpi-rescan.patch: Rescan outputs on receipt of ACPI event, to
  handle hotkey switching (#435285)

* Wed Dec 10 2008 Adam Jackson <ajax@redhat.com> 2.1.12-3
- Rebuild against new server source.

* Wed Oct 22 2008 Adam Jackson <ajax@redhat.com> 2.1.12-2
- nv-2.1.8-g80-no-doublescan.patch: Don't try doublescan modes on G80, too
  many monitors get confused. (#466347)
- Update the compat patches to report the driver version correctly.

* Mon Sep 22 2008 Adam Jackson <ajax@redhat.com> 2.1.12-1
- Update to nv 2.1.12 for new ASIC support and TMDS initialization fixes.
  (#449162)
- nv.xinf: New PCI IDs for same.

* Wed Sep 17 2008 Adam Jackson <ajax@redhat.com> 2.1.6-9
- nv-2.1.6-load-palette-harder.patch: Load the VGA palette multiple times
  to work around corruption that clears up on VT switch. (#361841)

* Thu Sep 04 2008 Dave Airlie <airlied@redhat.com> 2.1.6-8
- Rebase onto updated X server randr source

* Mon Sep 01 2008 Dave Airlie <airlied@redhat.com> 2.1.6-7
- Add rom saving patch (#439256)

* Mon Apr 21 2008 Adam Jackson <ajax@redhat.com> 2.1.6-6
- Update output configuration heuristic. (#387631)

* Tue Jan 22 2008 Adam Jackson <ajax@redhat.com> 2.1.6-5
- Fix G80 modesetting in anaconda. (#387631)

* Fri Jan 18 2008 Dave Airlie <airlied@redhat.com> 2.1.6-4
- drop framebuffer tiling patches from 5.2 pushed to 5.3

* Fri Jan 18 2008 Dave Airlie <airlied@redhat.com> 2.1.6-3
- attempt to align framebuffer with tiling requirements (#221789,#247649)

* Thu Jan 17 2008 Dave Airlie <airlied@redhat.com> 2.1.6-2
- limit XAA pixmaps to 512x512 - (#224066)

* Wed Dec 12 2007 Adam Jackson <ajax@redhat.com> 2.1.6-1
- Rebase to 2.1.6 for yet more LVDS fixes. (#304991)

* Tue Aug 07 2007 Adam Jackson <ajax@redhat.com> 2.1.2-1
- Rebase to 2.1.2.  Fixes G80 LVDS, among other things. (#237121)

* Tue Jun 26 2007 Adam Jackson <ajax@redhat.com> 2.0.2-1
- Update to 2.0.2, plus additional hardware-enable bits from 2.0.96.
  Adds G8x-series support. (#237121)
- nv-2.0.2-misc-backports.patch: Backport some low-risk fixes from git,
  including new PCI IDs and a fix for colormap corruption on <G80.
- nv.xinf: New PCI IDs.

* Thu Aug 31 2006 Adam Jackson <ajackson@redhat.com> 1.2.0-4.fc6
- nv-1.2.0-panel-range-hack: If we detect a panel, but don't get DDC, adjust
  the monitor's sync ranges to accomodate a 60Hz mode at the panel's
  native resolution.

* Wed Aug  2 2006 Adam Jackson <ajackson@redhat.com> 1.2.0-3.fc6
- Bump for upgrade path from FC5.

* Mon Jul 24 2006 Adam Jackson <ajackson@redhat.com> 1.2.0-2.fc6
- Update nv.xinf: Add about 30 new cards, disable a handful that pci.ids
  says aren't video cards, and comments galore.

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> 1.2.0-1.1.fc6
- rebuild

* Fri Jul  7 2006 Adam Jackson <ajackson@redhat.com> 1.2.0-1.fc6
- Add %{?dist} and rebuild.

* Thu Jul  6 2006 Adam Jackson <ajackson@redhat.com> 1.2.0-1
- Update to 1.2.0: GeForce 6 and 7 updates and new hardware support.

* Mon Jun 26 2006 Adam Jackson <ajackson@redhat.com> 1.1.2-2
- Make the message printed when modes are rejected for not fitting in the
  panel size more accurate (and quieter).

* Sat Jun 17 2006 Mike A. Harris <mharris@redhat.com> 1.1.2-1
- Update to 1.1.2 release for X11R7.1 server.

* Wed Jun 14 2006 Adam Jackson <ajackson@redhat.com> 1.1.1-5
- Fix the panel tweak for a Toshiba laptop.

* Sat Jun 10 2006 Mike A. Harris <mharris@redhat.com> 1.1.1-4
- Added 10DE:0184 to nv.xinf, although the driver is not currently aware of
  this specific chip ID, the fallback code appears to work in bug #(186343)

* Tue May 23 2006 Adam Jackson <ajackson@redhat.com> 1.1.1-3
- Rebuild for 7.1 ABI fix.

* Mon Apr 10 2006 Adam Jackson <ajackson@redhat.com> 1.1.1-2
- Bump to appease beehive.

* Sun Apr 09 2006 Adam Jackson <ajackson@redhat.com> 1.1.1-1
- Update to 1.1.1 from 7.1RC1.

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> 1.0.1.5-3.1
- bump again for double-long bug on ppc(64)

* Thu Feb 09 2006 Mike A. Harris <mharris@redhat.com> 1.0.1.5-3
- Added nv-1.0.1.5-updateto-cvs20050209.patch to sync driver with CVS and pick
  up support for newer Nvidia chips, and RandR rotation support.  (#180101)

* Thu Feb 09 2006 Mike A. Harris <mharris@redhat.com> 1.0.1.5-2
- Syncronized nv.xinf with nv_driver.c PCI ID list, including 10DE:0092 and
  10DE:00F2 for bug (#179997).

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> 1.0.1.5-1.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Wed Jan 18 2006 Mike A. Harris <mharris@redhat.com> 1.0.1.5-1
- Updated xorg-x11-drv-nv to version 1.0.1.5 from X11R7.0

* Tue Dec 20 2005 Mike A. Harris <mharris@redhat.com> 1.0.1.4-1
- Updated xorg-x11-drv-nv to version 1.0.1.4 from X11R7 RC4
- Removed 'x' suffix from manpage dirs to match RC4 upstream.

* Wed Nov 16 2005 Mike A. Harris <mharris@redhat.com> 1.0.1.2-1
- Updated xorg-x11-drv-nv to version 1.0.1.2 from X11R7 RC2

* Fri Nov 04 2005 Mike A. Harris <mharris@redhat.com> 1.0.1.1-1
- Updated xorg-x11-drv-nv to version 1.0.1.1 from X11R7 RC1
- Fix *.la file removal.
- Add riva128.so subdriver to file manifest.

* Mon Oct 03 2005 Mike A. Harris <mharris@redhat.com> 1.0.1-1
- Update BuildRoot to use Fedora Packaging Guidelines.
- Deglob file manifest.
- Limit "ExclusiveArch" to x86, x86_64, ia64, ppc

* Fri Sep 02 2005 Mike A. Harris <mharris@redhat.com> 1.0.1-0
- Initial spec file for nv video driver generated automatically
  by my xorg-driverspecgen script.
